curl --request POST \
--url https://sandbox.cashfree.com/pg/easy-split/vendors \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"vendor_id": "vendortest123",
"status": "ACTIVE",
"name": "customer",
"email": "johndoe@cashfree.com",
"phone": 9876543210,
"verify_account": true,
"dashboard_access": true,
"schedule_option": 1,
"bank": {
"account_number": 12345678890,
"account_holder": "John Doe",
"ifsc": "HDFC019345"
},
"kyc_details": {
"account_type": "BUSINESS",
"business_type": "NBFC",
"uidai": 753624181019,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000",
"pan": "BIAPA2934N",
"passport_number": "L6892603"
}
}
'{
"email": "johndoe@cashfree.com",
"status": "IN_BENE_CREATION",
"bank": {
"account_number": 26291800001191,
"account_holder": "JOHN DOE",
"ifsc": "YESB0000262"
},
"upi": null,
"phone": 9876543210,
"name": "customer",
"vendor_id": "TestAccount11",
"schedule_option": {
"settlement_schedule_message": "T+1 settlement at 11:00 AM",
"schedule_id": 1,
"merchant_default": false
},
"kyc_details": {
"account_type": "BUSINESS",
"business_type": "NBFC",
"pan": "AFDHK1234F",
"uidai": null,
"passport_number": null,
"driving_license": null,
"voter_id": null,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000"
},
"dashboard_access": false,
"bank_details": null
}Create vendor
Use this API to create a new vendor to your EasySplit account along with the KYC details. Provide KYC details such as account_type, business_type, gst, cin, pan, passport number and so on.
curl --request POST \
--url https://sandbox.cashfree.com/pg/easy-split/vendors \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"vendor_id": "vendortest123",
"status": "ACTIVE",
"name": "customer",
"email": "johndoe@cashfree.com",
"phone": 9876543210,
"verify_account": true,
"dashboard_access": true,
"schedule_option": 1,
"bank": {
"account_number": 12345678890,
"account_holder": "John Doe",
"ifsc": "HDFC019345"
},
"kyc_details": {
"account_type": "BUSINESS",
"business_type": "NBFC",
"uidai": 753624181019,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000",
"pan": "BIAPA2934N",
"passport_number": "L6892603"
}
}
'{
"email": "johndoe@cashfree.com",
"status": "IN_BENE_CREATION",
"bank": {
"account_number": 26291800001191,
"account_holder": "JOHN DOE",
"ifsc": "YESB0000262"
},
"upi": null,
"phone": 9876543210,
"name": "customer",
"vendor_id": "TestAccount11",
"schedule_option": {
"settlement_schedule_message": "T+1 settlement at 11:00 AM",
"schedule_id": 1,
"merchant_default": false
},
"kyc_details": {
"account_type": "BUSINESS",
"business_type": "NBFC",
"pan": "AFDHK1234F",
"uidai": null,
"passport_number": null,
"driving_license": null,
"voter_id": null,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000"
},
"dashboard_access": false,
"bank_details": null
}- Use test account details in Sandbox mode.
- Use test GST and PAN numbers from the test details page.
- Vendors that you create in the Sandbox environment with test bank account and KYC details move to
ACTIVEstatus automatically after 10 minutes. - If a vendor doesn’t move to
ACTIVEstatus within 24 hours in Production mode, fill out the Support Form.
Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Body
Request parameters to create a new vendor to your EasySplit account along with the KYC details.
Specify the unique Vendor ID to identify the beneficiary. Alphanumeric and underscore (_) allowed.
Specify the status of vendor that should be updated. Possible values: ACTIVE,BLOCKED, DELETED.
Specify the name of the vendor to be updated. Name should not have any special character except . / - &.
Specify the vendor email ID that should be updated. String in email ID format (Ex:johndoe_1@cashfree.com) should contain @ and dot (.).
Specify the beneficiaries phone number to be updated. Phone number registered in India (only digits, 8 - 12 characters after excluding +91).
Specify the kyc details that should be updated.
Show child attributes
Show child attributes
{
"account_type": "BUSINESS",
"business_type": "NBFC",
"uidai": 753624181019,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000",
"pan": "BIAPA2934N",
"passport_number": "L6892603"
}
Specify if the vendor bank account details should be verified. Possible values: true or false.
Update if the vendor will have dashboard access or not. Possible values are: true or false.
Specify the settlement cycle to be updated. View the settlement cycle details from the "Settlement Cycles Supported" table. If no schedule option is configured, the settlement cycle ID "1" will be in effect. Select "8" or "9" if you want to schedule instant vendor settlements.
Specify the vendor bank account details to be updated.
Show child attributes
Show child attributes
{
"account_number": 123456111110,
"account_holder": "JOHNDOE",
"ifsc": "YESB0000262"
}
Updated beneficiary upi vpa. Alphanumeric, dot (.), hyphen (-), at sign (@), and underscore allowed (100 character limit). Note: underscore and dot (.) gets accepted before and after @, but hyphen (-) is only accepted before @ sign.
Show child attributes
Show child attributes
{
"vpa": "success@upi",
"account_holder": "JOHN DOE"
}
Response
Success response for creating a new vendor to your EasySplit account along with the KYC details.
Was this page helpful?